Method: customers.quarantinedMessages.batchDeny

Denies a list of messages asynchronously.

HTTP request

POST https://mailadminquarantine.googleapis.com/v1/{parent=customers/*}/quarantinedMessages:batchDeny

The URL uses gRPC Transcoding syntax.

Path parameters

Parameters
parent

string

Required. The parent resource, which owns this collection of messages.

Request body

The request body contains data with the following structure:

JSON representation
{
  "requests": [
    {
      object (DenyQuarantinedMessageRequest)
    }
  ]
}
Fields
requests[]

object (DenyQuarantinedMessageRequest)

Required. The list of requests to release quarantined messages. Each request contains the resource name of the quarantined message to release. The maximum number of requests in a single batch is 500.

Response body

If successful, the response body contains an instance of Operation.

Authorization scopes

Requires the following OAuth scope:

  • https://www.googleapis.com/auth/gmail.admin.quarantine

For more information, see the Authorization guide.

DenyQuarantinedMessageRequest

Request message for [quarantinedMessages.deny][].

JSON representation
{
  "name": string
}
Fields
name

string

Required. The resource name of the quarantined message to deny.